A cloudhulk is a vast collection of debris, ships, technology, island pieces, and other stuff. The vast and warrenlike mass of bound-together floating junk travels across the world of Aeroclysm.

Cloudhulks, ironically for being made out of junk, are some of the most common places to find immensely buoyant objects. There are several theories for this. Some think that in sinking Below that the existing buoyant objects get supercharged. Others think that its just that only the weight of a cloudhulk would keep such buoyant things from ascending to Above.

It is also not uncommon for one-of-a-kind artefacts to have been lost inside a cloudhulk at some point. Ship wreckage containing dead bodies, supply caches accidentally folded inside a collapsed building, or even items descended from Above are all commonly found.

Unfortunately, all this valuable material is counterpointed by equal amounts of danger. Putting aside other competing treasure-seekers, the interior of the cloudhulk is often full of life that has few other appropriate venues. Cave systems are hard to find in the sky, and so everything from barricade beetles to flying eels takes up residence. Some parts even become covered in a thick stony substance, which ancient records refer to as "coral". Much of this life is at the very least unfriendly to intruders.

Delving into a cloud hulk is an extremely dangerous undertaking, and requires specialist equipment that most trade flotillas can’t afford to own or maintain. Instead, “delver ships” are those single vessels which carry only the essentials for life, the necessary equipment, a well-trained crew, and enough spare cargo space for whatever they might find.

Often they discover at least some corpses from curious treasure seekers or failed delver expeditions. Often the cloud hulk at least in part is made of the broken parts of delver ships, moored to its structure and then slowly entangled in its long journey.

Delver ships ultimately tend to harvest things which have a certain rarity or archaeological value, useless to the vast majority of islands and priceless to a few. Many delver ships keep a log of those parties who are interested in different kinds of loot, and those logs are shared at every port. In this way, many groups and people become known as perennial buyers of certain finds.

While selling to a specialist individual may garner strong profits, some of the larger governments and trade organizations are willing to buy things at a discount, trusting their long reach to find an eventual buyer who will pay even more. A delver ship is often given a difficult choice: sell now, but with no idea how much a find is really worth, or keep the goods and hope for the ideal buyer down the road.

To this end, delver ships often find themselves carrying valuable treasures from one hunt to the next. Either the delvers learn to use the treasure and keep it, they find a buyer who will pay enough… or the treasure will be taken off their corpses.


##Notable Cloudhulks

|!Name|!Region|
|Rhapsidos|Western Skies|