HexPrint is a custom tactical combat engine for 3d printed miniatures.

Statline for Hex Engine:
MOV (distance move in hexes)
TAR (target number to roll against for successes, such as "4+")
ACT (number of actions a model can take in a turn. Each move or ability is an action)
Tags
Static
Abilities
Damage grid

Ability Statline:
RNG (range in hexes)
SHAPE (shape of the hexes it hits)
Grid for # of hits / effects (Written as 1h = 1 damage, 2h = 3 damage, etc)

Initiative Track system:
Players share a wheel-shaped initiative counter (Divided into six segments). Both players have an initiative counter for each unit/squad they control. Players place the initiative counters at the start of the game (dividing them evenly among segments). When the initiative counter ticks over to a segment, both players roll dice equal to the number of initiative counters they have on that segment. The overall higher roll goes first (reroll ties). They activate a number of units equal to the number of 6s they rolled. Then the other player activates 6s. Then 5s, 4s, etc.

Units can be moved among segments, certain things can cause "end the turn" effects that tick the segment counter immediately, sometimes terrain is on the segments (and activates after everyone else goes).

Generally, units move a number of segments equal to the number of actions they spent (hence why not using every ability can be good). Reaction abilities also tend to move units back, as you get "bonus turns".



Movement/form keywords:
"Within" is used for circles (Hex and all within 4)
"Line" only works straight across hexes (Line 6 means pick one of six directions, within 6 away)
"Cone" is always an adjacent hex, then the three adjacent hexes on the far side, etc. Or, put another way, pick an adjacent hex and draw two lines out from it, one hex side apart. Anything in that zone.
Push = ends movement farther from you
Pull = ends movement closer to you
Slide = no restrictions


SHAPES:
Single (pick a hex within range)
Cone (one hex and then hexes spraying out)
Arc (Multiple continuous hexes in a curve adjacent to the model)
Snake (Multiple continuous hexes picked wherever)
Line (A line from one hex to another, can only go directly over hex centers)



Stat limits per character tier (Iron Kingdoms RPG)
Focus, refreshing points-per-round (absorbed into Action system) (Iron Kingdoms RPG)
Roll extra die on all <tag> rolls (Iron Kingdoms RPG)
Double area / rng of <ability> (Iron Kingdoms RPG)
Upkeep abilities that continuously consume an action to maintain (Iron Kingdoms RPG)
Able to detect abilities/hidden info (Iron Kingdoms RPG)
Reduce minimum range (Iron Kingdoms RPG)
Next attack by targeted enemy auto-misses <this character, any target, if it has tag> (Iron Kingdoms RPG)
Teleportation Movement within X (Iron Kingdoms RPG)
Reaction: Charge and attack enemy when approaching within X (before their next action, after their full activation) (Iron Kingdoms RPG)
Ignore <tag, first X> damage (Iron Kingdoms RPG)
Resurrect from off-board (Iron Kingdoms RPG)
"Downed" vs "Removed" vs "Boxed" (Downed = still map-present, can be interacted with, Removed = not map present, Boxed = not coming back) (Me)
Declare Nemesis/Ward <tag, Friendly, Enemy> (Iron Kingdoms RPG)
Reaction: move when <tag, effect, downed> (Iron Kingdoms RPG)
Reaction: Attack enemy when moving within X (Iron Kingdoms RPG)
Attack all within X (Iron Kingdoms RPG)
Always goes first (as if auto-rolling a six and being winning player) (Iron Kingdoms RPG)
Attack and move as single action (Iron Kingdoms RPG)
Always goes last (as if auto-rolling a one and being losing player, still before terrain) (Iron Kingdoms RPG)
Move through <friendly, enemy, tag> (Iron Kingdoms RPG)
Bonus attack against models that aren't activating this segment / models that haven't activated yet (Iron Kingdoms RPG)
Bonus attack/damage depending on segment distance (Me)
Auto-inflicts single damage (Iron Kingdoms RPG)
Ignore <tag, defensive, reaction> (Iron Kingdoms RPG)
Reroll failures (Iron Kingdoms RPG)
Give up movement to gain <tag, ignore, etc> (Iron Kingdoms RPG)
Pulse heal/remove status effect / inflict status effect (Iron Kingdoms RPG)
Make other model do immediate attack (Iron Kingdoms RPG)
Make other model do immediate movement (Iron Kingdoms RPG)
Ignore difficult terrain (Iron Kingdoms RPG)
Bonus ranged attack when moving into melee (Iron Kingdoms RPG)
Bonus damage against <tag> (Iron Kingdoms RPG)
Friendly model gets positive effect / action, also damage (Iron Kingdoms RPG)
Take damage / attack / effect for another model (Iron Kingdoms RPG)
Failures cause random nearby damage (Iron Kingdoms RPG)
Ride mount, dismount when downed and operate as infantry (Warmachine)
Successes allow additional attacks (Booster box game) (Iron Kingdoms RPG)
Bonus for all models with <tag> within X (Iron Kingdoms RPG)
Gain an action (note that this allows you to do more NOW but it pushes you back further along the Timer) (Iron Kingdoms RPG)
Ignores <elevation, cover, concealment, tag> (Iron Kingdoms RPG)
Gain a use of a limited times/round ability (Iron Kingdoms RPG)
Adjacent friendly models get <bonus> (Iron Kingdoms RPG
Place X difficult/impassible terrain elements all within 1 (giving cover to the model) (Iron Kingdoms RPG)
Enemy models must spend an extra action to <move, use ability, have static abilities> while within X (Iron Kingdoms RPG)
This ability drains <an action, a limited-use ability slot> until after the target's next activation (Iron Kingdoms RPG)
This ability places a <positive, negative> counter on the target's card. (Me)
This models get +dice/-dice based on which Initiative number they're on. (Me)
This ability disables a single stat/ability (Iron Kingdoms RPG)
Any models starting a move within X of this model gets X (Iron Kingdoms RPG)
