You wake up in a world of metal, steel grating instead of grass, ruined and rusted machines in place of trees, oil instead of water. You can find tools easily, piece together machines from the salvage around you. But it is a world of metal, so as your belly grumbles and your throat parches and the gremlins close in, you must find ways to address these needs. Condense water, scrape together dirt, place defenses.

Legend tells that there's a way to get to a world of infinite wealth, a place where water stretches to the horizon and food simply rises from the ground. Maybe you'll be the first to complete the portal. Maybe you'll be the first to see a world fit for living in.

This modpack for Minecraft explores being trapped in a fully mechanical world, hard-pressed to survive, while attempting to find the way back to the Overworld.

* Finding diamonds or machine parts is easy. Finding dirt, saplings, etc is hard.
* Whenever a plant grows on a farmland or dirt block, there's a random chance for the block to change to Depleted Dirt. Depleted Dirt can be turned back into regular dirt by mixing initially, but there are bigger and more complex machines that do it better.
* Leather is arrived at by "casting" a plate of oil.
* The ultimate goal is to construct and open a portal which will allow the player to go to a world of infinite wealth (i.e. the Overworld).
* Nutrient Paste causes Slow and Mining Speed debuffs.
* Nutrient Bars (cast from liquified paste) cause only the Mining Speed debuff.
* Finding knowledge out in the world unlocks certain tools/recipes.
* Quest lines start in a Tutorial section, then branch out into five branches, culminating in one, before each branches' pinnacle unlocks the part of the final portal.
* Gremlins are a passive mob, but they ingest player-placed blocks. Killing them eventually creates a raid.
* Shafts from Create are usable for tool handles and such


I'm up into examining the vanilla Create section, Speedometer



###Disable List
* End Stone
* Shulker Boxes
* Daylight Detector
* Sculk Sensor
* Elytra
* Vanilla Tools (except iron)
* Vanilla Armors
* Vanilla Shield
* Vanilla Bow/Crossbow
* Neon Lights
* Large Lantern/Soul/Redstone
* Cardboard Armor
* Condensed Lava?
* Andesite Alloy
* Chocolate (liquid)
* Honey (liquid) (Tinkers AND Create)
* Honeyed Apple/Cake
* Honey Roll/Glazed Berries/Cookie
* Slice of Honey Cake
* Bar of Chocolate
* Chocolate Glazed Berries
* Chocolate Cake
* Slice of Chocolate Cake
* Chocolate Roll
* Chocolated Apple
* Dark Chocolate Roll
* White Chocolate Roll
* Ruby Chocolate Roll
* Chocolate Pie
* Slice of Chocolate Pie
* Chocolate Block

###Decorative List
* Terracotta/Glazed Terracotta
* Concrete/Powder
* Stained Glass
* Colored Wool
* End Rod
* Note Block
* Signs
* Frames
* Paintings
* Door
* Trapdoor
* Fence
* Gate
* Turntable
* Cuckoo Clock

###Modify List
* Glowstone/Shroomlight (reduce light to minimal)
* Feather (Recipe)
* Egg (recipe, remove ability to spawn chicken)
* Paper (recipe)
* Dragon's Breath (recipe)
* Trident (recipe)
* Nautilus (recipe)
* Heart of the Sea (recipe)
* Milk (recipe)
* Andesite Alloy (replace)

###Plants/Crops
* Pumpkin
* Melon
* Nether Wart
* Trees
* Grass/Roots/Sprouts
* Flowers
* Sea Pickle
* Kelp
* Spore Flower
* Mushrooms
* Sugar Cane
* Lily Pad
* Moss
* Dripleaf
* Cactus
* Bamboo
* Wheat
* Carrot
* Potato
* Beetroot
* Sweet Berries
* Glow Berries

###New Mobs
* Oil Squid (vanilla squid but spawns in oil)
* Gremlin (passive mob that consumes blocks, killing increments raid timer)