The Ska’vryn are a Xenos Minoris species in the galactic south of Segmentum Obscura, still minor in the grand scheme of the galaxy but growing rapidly in power. Their existence was known prior to the opening of the Great Rift, but their staggeringly quick growth in the time has surprised even the most jaded of the Senatorum.

The Ska’vryn are not known to have any home world, instead being itinerant threats based in the massive spacecraft they term “Gnawships”. The term is apt, as these vessels can apparently chew into and out of warp space at will, making them unpredictable at best.

Each gnawship is led by a Warpseer, a particularly crafty and cunning Ska’vryn who has ascended to a position of prominence through skillful (if occasionally violent) politicking within the various clans, lineages, and alliances of convenience that form the gnawship’s social structure. These warpseers are always psychically powerful, not an inborn trait but an acquired one.

All Ska’vryn have a minor amount of psychic resonance, but this can be amplified through a process known as  “mind-gnawing”. The similarity in term to the name gnawship is not accidental, as it’s held that without this grotesque procedure, the Ska’vryn would be incapable of FTL travel. The mind-gnawing allows a horrific theft: the removal of a psykers potential.

Psykers of any kind can be utilized for this process, slowly and agonizingly ripping their soul and psychic potential out and crystallizing it into the material known as warpstone. Warpstone is utilized extensively among the Ska’vryn, forming the basis of much of their social structure, technology, and religious practices.

Implantation of warpstone into a Ska’vryn is a mark of prestige, often signifying a particular individual’s strength or social prowess. The results of the surgery take what little psychic resonance an individual Ska’vryn may have and amplifies it enormously, often pushing them into the competition to become warpseer of their gnawship.

A warpseer occupies a perilous position, attempting to oversee not just the gnawship, but the bickering and backstabbing candidates beneath them, and the constantly fluid allegiances of the clans. Many clans broadly owe their allegiance to what are known as the Five, the most consistently dominant groups whose power is unquestionable.

The Five are usually some variation on the following:
* The Ironfangs, the clan with the greatest conventional military might, led by a Warlord.
* The Shadowfeet, the clan of spies, assassins, and intelligencers, led by a Nightmaster.
* The Rotclaws, the clan of plague-carriers and shamanistic healers, led by a Plague Pontifex.
* The Twistedtails, mutants and creators of nightmares, led by a Master Moulder.
* The Warpwhiskers, mad scientists whose experiments undermine reality itself, led by a Warlock-Engineer.

The talents of all of the Five are required for the mind-gnawing, and the support of all of them is necessary for any wishing to become warpseer of their gnawship.

The Ska’vryn’s motivation and goals seemed to be derived from a worldview that prizes certain traits anathema to the Imperium. What little has been gathered suggest that they see themselves as the most changeable and adaptable of all species, and thus those most deserving of a place of ascendancy. The symbol repeated ad nauseam of an inverted triangle means one thing: “Change or Die.”

The Ska’vryn see their continuous internecine conflict as a holy calling, and their constant raiding and destruction of other species as an extension thereof. In their minds, the Imperium’s stagnant nature means it is brittle and frail, and they intend to either see it change into a worthy competitor, or to feast on its corpse.

Survival belongs to the most adaptable and dynamic. The Ska’vryn know that they, and their trickster-shaman-warlord-god The Horned Rat, deserve a place of ascendancy. For no other species has dared to destroy its own home world, simply to ensure that it will never be static or complacent. And as the gnawships tear through reality, they may be proven right.