! Difficulties
!! Shifting Relatives
Relative shift, drift, and other terms all encompass the fact that the whole set of islands and continents do not remain stationary in relation to each other. Its not uncommon for journeys which were supposed to be a short hop to take several times longer than they should, or conversely for enemies which were a safe distance away to be right next door in a week.

!! [[Cloudhulks|Cloudhulk]]

! Tools
Navigation is accomplished by an entire set of multifaceted tools depending on the situation. The most common are these:

!! Homestones
Homestones are simple constructions, often placed in the center of an island, which can be used to attune compass needles. These needles then point towards the homestone no matter the distance. However, they therefore lack any measurement of distance, and do not provide any assurance that an island is still in the sky when you arrive. It is also easy to fake, leading to a significant trade in League-approved needles.

!! Sextant
Sextants are able to measure both east-west and north-south position at dawn and dusk, but knowing absolute coordinates is no substitute for knowing your location relative to your destination.

!! Windgrip
A windgrip is a device user only on ships intending to travel long distances. It uses elements of lostech to create a 3D sphere of moving air. This sphere correlates in broad strokes to the air currents surrounding a ship.

!! Beacons
The technology to create truly reliable wireless communication is lost at this point, but there are occasional devices which still act to transmit signals. These signals can determine not only direction to their source, but can also help determine distance and intervening storms/obstacles.

!! Magic
Rare is the sailor who hasn't heard stories of Tucod Pointer. Said to be a sorcerer who could find where he was relative to anything, all stories about him end with an assertion that he is rich beyond imagination. Many smaller talents, spells, or graces have similar applications and pilots with magical skill find themselves used to check instrumentation regularly.