In the world of [[Aeroclysm]], by comparison even to our modern day, standards of living are quite high.

##Food
The diet for a typical inhabitant of Aethera is based around staples plus the specialization of the specific island. Variety comes through trade, and it is common that due to drift a person will wind up sampling many foods, spices, and methods of cooking throughout their lives.

###Staples
####Lokenut (low-kay-nut)

One of the genetically engineered crops created between the cataclysm and the upheaval, the lokenut is to the inhabitants of Aethera what the coconut was to many in Polynesia. It grows easily in low-soil conditions and grows rapidly.

Its seeds are extremely well tuned to the wind, leading to it being found basically everywhere. It is notable for the fact that it uses a form of pressure to launch its seeds, similar to the touch-me-not balsam. But instead of exploding a seed pod, it actually grows a fruit around it first. This accessory fruit is not vital to the plant's reproduction.

The fact of the seed exploding outward creates a very obvious tell for when a fruit is ripe, so gathering is easily done. The resulting flesh is separated along a very clear line. The juicy portion resembles a watermelon in structure, but denser. It is integral to building up the pressure to launch seeds, so it is often cracked open by the violent force. The scent of the fruit juice attracts a number of species, leading to the fruit being sometimes left on the tree as a fishing lure. The hard portion of the fruit is more similar to a cross between avocado flesh and a thick rind. It contains the pressure until the explosion. While it is difficult to eat raw, cooking will soften it. It can be shaved into chips, which easily cook into a kind of scalloped-potato dish and render for a substantial amount of fat.

Botanists in the current day are not sure how the lokenut produces such large amount of sugar, fat, water, etc based on its inputs. There's some theories that it is directly magical, while others claim that there's a reserve of energy it gathers when [[Below]]. The latter is supported by a system of small nodules throughout the tree bark and trunk, which make the wood difficult to use for long boards. These nodules do not exist on trees cultivated entirely [[Between]].

##Water
###Rainfall
Rain clouds are common in the skies of Aethera. It is a common sight to see "upspouts", columns of dense water vapor rising from Below. An upspout can be dangerous to interact with, as it has a very forceful updraft combined with a lot of mass. Daring helmers will attempt to use this force to gain massive amounts of altitude. Some even claim that a particularly strong upspout is the key to reaching Above.

These upspouts easily form rain clouds, which disperse into the upper Between and keep the humidity at a tolerable level. On occasion, winds will collide and the resulting pressure will squeeze the clouds into actual rainfall.

###Funnels
Coloquially referred to as funnels, these are common semi-lostech devices. More can be constructed with the right components, but the specifics of their function is hard to determine. When completely deployed, they have a structure that resembles a radio antenna. A spout at the bottom of the funnel device dispenses potable water in a thin trickle.

As a safety measure, most communities, ships, and other groups possess multiple funnels. Funnel breakdown is a common concern, but most repairs are to the antenna side which is fairly well understood. The fact that funnels require no direct energy input is a major help.

##Shelter
###Ruins
On most islands, the most prestigious and important individuals live within the ruins left from Before. Most ruins are still intact enough to form a comfortable living situation, and many can be retrofitted to incorporate minor luxuries such as stoves, volt-plugs, and showers.

###Small Structures
The remainder of the population usually lives in small purpose-built structures, often changed over time with the age and wealth of the island. Small, new, or poor islands may have more of a barracks style, where the few buildings are entirely dedicated to sleeping quarters. As islands grow, work and play are brought indoors as well, leading to something that looks more like a house.

##Community
###Travel
###Occupations
####Offboard
Geographer

Geography is one of the most consistently lucrative occupations available on Aethera.

####Onboard
Pilots

Pilots are unusual amongst most crews as they are not employed directly by the captain of the ship. In fact, most pilots choose which ships they will travel on rather than the other way around.

Armsmaster

Armsmasters tend to the military side of a ship, from the largest cannons to the individual boarding hooks and pieces of shot.

Armsmasters tend to be necessary to recruit for a mutiny to be successful. Accordingly, the position of armsmaster has shifted to incorporate acting as a bridge in communication between the captain and the crew. It is up to the armsmaster to hear grievances and bring concerns to the captain, though ultimately the captain decides what to do.