A shattered, floating world of infinite sky and finite resources. Factions trade, war, and survive in a world where stability is as lost as the Old World. It is an age of war, piracy, love, discovery, dread portents and desperate hope. Everything hangs in the balance, and nothing is sacred. Will you fall... or rise?

Aeroclysm is my scifantasy setting that is fundamentally about "what I find cool and sexy" so the main rule is Author Appeal. You have been warned.

##Aerology
Aethera is roughly divided by the inhabitants into three vertical zones. These zones are not strictly bounded, but are convenient classifications. From highest to lowest they are:

###[[Above]]

###[[Between]]

###[[Below]]

##Geography
Aethera is difficult to measure specifically in terms of classical geography as all islands shift in relation to each other as the wind carries them. Geography is therefore mostly measured not only by accuracy but also by time. A map that is six months old is all but useless apart from the absolute largest landmasses, whereas a rough sketch made two days ago should be accurate enough for most purposes. To this end, "geographer" is a quite stable career, providing significant benefits. Most geographers work in concert with a number of pilots, providing payment in exchange for accurate readings at sky. Geographers then produce maps which are sold according to the accuracy of the information, the time the information was compiled, and the important features relevant to the reader. Many geographers pay pilots a retainer to NOT give information to another rival, which has led to the present [[Navigation Leagues|Navigation]].


##Aesthetics

Multiple: Candles, species

* Autodea: Art deco, curves and cables, independent body parts / combining mecha, Coast Salish, Factions: Tau, CoG: Crotch
* Church of Ascendance: Priests, religion, flowing garments, halos, atompunk, Gothic/Stained Glass, Factions: Tzeentch, Battle Sisters, CoG: Chest
* Cult of Fecrod: Rotted, scarred, diseased, bloated, infested (underneath, very plain), Tiki/Polynesia, Factions: Nurgle, CoG: Stomach
* Engineers: Steampunk, greco-roman punk, corsets, Renaissance, Arabian Nights, booze, electricity, CoG: Head Up
* Houses of Servative: Knights, maids, butlers, castles, romanesque architecture, Conquistador, Big Cravat Energy, CoG: Shoulders squared
* Iron Warriors: Riveted plating, heavy duty, Factions: Space Marines (not Chaos), CoG: Shoulders Squared
* Ivy Schools: Anime schoolgirls, ninjas, large ribbons, professor, books, CoG: Butt
* Lowlifers: Pirates, vampires, rogues, criminals, lace, athletic, memento mori, warboys, shorts, gangster, Factions: Chaos, Ork, CoG: Shoulders twisted
* Malefiction: High fantasy, storybook, chibi, distorted, painting, Halloween, horses, food, masquerade, witchiness, Commedia Factions: Khorne, Dark Mechanicum, CoG: Shoulders twisted
* Malignos: Egyptian, spiders, Circus, Fire, Factions: Dark Eldar, Necrons, Imperial Guard, CoG: Crotch
* Mekh-8: Functional, multipart, cyborg, Aztec, heavily geometric, zoids Factions: AdMech, Dwarves, CoG: Head Forward
* Navigation Leagues: Golden Age of Sailing, nobility, Napoleonic, Japanese historical, ballgowns, skintight suits / Starcraft ghosts, Factions: Officio Assassin, CoG: Head Up
* Psystemic: Eldritch abominations, classic aliens, hoodies, biopunk, scrolls Factions: Slaanesh, Eldar, CoG: Head Forward
* Sharing Groves: Druids, wildlife, barbaric, art noveau, Harvest, flowers, Butterflies, animal mounts (not horses or other grazers), Mongolian, Solarpunk, Oktoberfest Factions: Tyranid, CoG: Head Forward
* Poseidals: Sea life, Viking, Dinotopia/Flintstones, Mermaid/Siren, Crystals, Scottish, Russian, CoG: Butt
* Bimbos: Miniskirts, baby tees, piercings, Bohemian/Gypsy chic, CoG: Butt

##Discrimination
All sentient species have certain tensions, but in the end work together under most circumstances. The world of Aeroclysm is not a world of plenty and endless space, but is instead a world where everything is understood as a resource for survival. Rather than utilizing fictional tropes common to post-apocalyptic settings, I am drawing more on the way that real-world humans behave when finding themselves in disaster situations. Humans, when pressed, will often band together, and that is precisely how the sentient species of Aeroclysm act. Bigotry is not unheard of, but it is often considered as a luxury that only the wealthy can afford. Otherwise, you have to take help where you can get it.

That said, there are many cultural pressures that push vyt into dirty jobs out of sight of most people, or put husyns in positions where they are prized for their mental abilities instead of physical ones. These biases are one thing that people in the setting confront regularly.

##Political Structures
There are unified systems of government but these only extend as far as regular ships and troops can support. As islands drift further away from the core of the political organization, it becomes harder and harder to enforce any kind of outside order. Many islands choose some amount of allegiance, but many others operate as independent islands or free ports.

##Trade
Trading relationships are always difficult to maintain when drift becomes involved, so many traders do not have established routes. Instead there are “trade flotillas” which assemble a number of ships to journey together. Each one carries some amount of goods that may be valuable to an island, with a great variety among the ships of the flotilla. Legends abound of those traders who got rich on trade by gambling all on a single type of resource, to an island that drifted in which needed exactly that. But far more frequently, flotillas spread both the risks and costs in exchange for a consistent, regular income.